Intel® Enhanced Privacy ID SDK 2.0.0

Data Fields
PreComputedSignature Struct Reference
epid » member

Pre-computed signature. More...

`#include <epid/member/api.h>`

## Data Fields
G1ElemStr | B
| an element in G1
G1ElemStr | K
| an element in G1
G1ElemStr | T
| an element in G1
G1ElemStr | R1
| an element in G1
GtElemStr | R2
| an element in G1
FpElemStr | a
| an integer between [0, p-1]
FpElemStr | b
| an integer between [0, p-1]
FpElemStr | rx
| an integer between [0, p-1]
FpElemStr | rf
| an integer between [0, p-1]
FpElemStr | ra
| an integer between [0, p-1]
FpElemStr | rb
| an integer between [0, p-1]

## Detailed Description

Pre-computed signature.

Serialized form of an intermediate signature that does not depend on basename or message. This can be used to time-shift compute time needed to sign a message.

The documentation for this struct was generated from the following file:

- epid/member/api.h